<?php
namespace Ep\WooCommerce;

use Zend\ServiceManager\AbstractFactory\ReflectionBasedAbstractFactory;

/**
 * Class ConfigProvider
 *
 * @package Ep\WooCommerce
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class ConfigProvider
{
	public function __invoke()
	{

		return [
			'dependencies' => $this->getDependencyConfig(),

			'wordpress' => [
				'services' => [
					'WooCommerceCart',
					'WooCommerceRegistration',
					'WooCommerceRemover',
					'WooCommerceTemplates',
				],
			],
		];
	}

	public function getDependencyConfig()
	{
		return [
			'aliases' => [
				'WooCommerceCart' => CartService::class,
				'WooCommerceRegistration' => RegistrationService::class,
				'WooCommerceRemover' => WooCommerceRemover::class,
				'WooCommerceTemplates' => TemplateService::class,
			],

            'factories' => [
                CartService::class => ReflectionBasedAbstractFactory::class,
                RegistrationService::class => ReflectionBasedAbstractFactory::class,
                WooCommerceRemover::class => ReflectionBasedAbstractFactory::class,
                TemplateService::class => ReflectionBasedAbstractFactory::class,
            ],
		];
	}
}